Bug 719728 - Mobility Radeon X700 screen garbage
Mobility Radeon X700 screen garbage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
15
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-07 15:07 EDT by Stefan Assmann
Modified: 2012-08-07 15:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:13:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot.jpg (474.15 KB, image/jpeg)
2011-07-07 15:07 EDT, Stefan Assmann
no flags Details
Xorg.0.log (37.90 KB, text/plain)
2011-07-07 15:13 EDT, Stefan Assmann
no flags Details
dmesg (58.30 KB, text/plain)
2011-07-07 15:14 EDT, Stefan Assmann
no flags Details
working.regs (10.25 KB, text/plain)
2011-07-08 06:01 EDT, Stefan Assmann
no flags Details
broken.regs (10.25 KB, text/plain)
2011-07-08 06:02 EDT, Stefan Assmann
no flags Details
xrandr.txt (7.90 KB, text/plain)
2011-07-26 05:40 EDT, Stefan Assmann
no flags Details

  None (edit)
Description Stefan Assmann 2011-07-07 15:07:55 EDT
Created attachment 511783 [details]
screenshot.jpg

Description of problem:
About every 10th reboot I see garbage on the screen with the X700. Picture attached. Power-cycling and the problem goes away. Still it's annoying.

Version-Release number of selected component (if applicable):
kernel-PAE-2.6.38.8-32.fc15.i686

How reproducible:
about every 10th reboot

Steps to Reproduce:
1. happens when the screen resolution is changed during boot
  
Actual results:
screen is distorted
Comment 1 Stefan Assmann 2011-07-07 15:13:17 EDT
Created attachment 511785 [details]
Xorg.0.log
Comment 2 Stefan Assmann 2011-07-07 15:14:00 EDT
Created attachment 511786 [details]
dmesg
Comment 3 Alex Deucher 2011-07-07 15:25:51 EDT
First try a newer kernel (2.6.39 and 3.0).  Also, does a VT switch help?  Beyond that, we can try comparing register dumps using radeonreg when the screen is working properly and not working properly.  radeonreg is available here:
http://cgit.freedesktop.org/~airlied/radeontool

As root:
radeonreg regs radeon > working.regs
radeonreg regs radeon > broken.regs

And attach the dumps here.
Comment 4 Stefan Assmann 2011-07-08 06:01:52 EDT
Created attachment 511886 [details]
working.regs
Comment 5 Stefan Assmann 2011-07-08 06:02:31 EDT
Created attachment 511888 [details]
broken.regs
Comment 6 Stefan Assmann 2011-07-08 06:04:30 EDT
VT switching makes no difference, once it's screwed it doesn't go away.
2.6.39 shows the same behaviour, haven't checked 3.0 yet. If you think it's worth to try latest 3.0 I'll do that.
Comment 7 Alex Deucher 2011-07-08 10:33:35 EDT
The two sets of registers are identical.  The only differences are counter regs which aren't relevant.  As such, it's probably a timing issue.  I'm assuming you are seeing the problem on the LVDS panel?  LVDS is very picky about programming timing.  Does forcing a DPMS cycle fix it?
xset dpms force off
You can also look at adjusting or adding delays at various points in radeon_legacy_lvds_update() and radeon_legacy_lvds_mode_set() in radeon_legacy_encoders.c in the kernel.
Comment 8 Stefan Assmann 2011-07-08 10:47:15 EDT
(In reply to comment #7)
> I'm assuming you are seeing the problem on the LVDS panel?

Yes.

> programming timing.  Does forcing a DPMS cycle fix it?
> xset dpms force off

Screen turns off for about 1 sec, turns back on but the issue remains. Tried several times.

> You can also look at adjusting or adding delays at various points in
> radeon_legacy_lvds_update() and radeon_legacy_lvds_mode_set() in
> radeon_legacy_encoders.c in the kernel.

I'll give it a try.


Btw, sometimes when coming out of suspend the backlight is not turned back on. Could this be related?
Comment 9 Alex Deucher 2011-07-08 10:54:04 EDT
(In reply to comment #8)
> > programming timing.  Does forcing a DPMS cycle fix it?
> > xset dpms force off
> 
> Screen turns off for about 1 sec, turns back on but the issue remains. Tried
> several times.

try:

sleep 5; xset dpms force off

> Btw, sometimes when coming out of suspend the backlight is not turned back on.
> Could this be related?

Possibly, but I doubt it.  Backlight is controlled via ACPI or a platform specific backlight driver.
Comment 10 Stefan Assmann 2011-07-19 06:05:51 EDT
Alex,

I looked at radeon_legacy_lvds_update() and radeon_legacy_lvds_mode_set() but I'm not sure where to add delays and how long they should be. Could you give me some hints? Thanks!

sleep 5; xset dpms force off
That turned the screen off but once a button is pressed the screen turns back on and the problem persists.

However I recognized that during hibernate the screen turns black shortly before switching to the console where the hibernate messages are printed. And this VT switch fixes it, but a normal VT switch does not.
Comment 11 Stefan Assmann 2011-07-19 06:12:16 EDT
Almost forgot I also found a workaround using lxrandr

lxrandr show 2 frequencies 60,0 Hz and 60,2 Hz, default being 60,2 Hz. Switching frequencies seems to re-init the display and the screen distortion goes away.
Comment 12 Alex Deucher 2011-07-25 16:06:07 EDT
Can you attach the output of xrandr --verbose?
Comment 13 Stefan Assmann 2011-07-26 05:40:07 EDT
Created attachment 515226 [details]
xrandr.txt

I ran xrandr --verbose twice, once when the screen is distorted and another time when it's fine.
The only difference is the timestamp.
@@ -12,7 +12,7 @@
        load detection: 1 (0x00000001)  range:  (0,1)
 LVDS connected 1400x1050+0+0 (0x55) normal (normal left inverted right x axis y axis) 0mm x 0mm
        Identifier: 0x52
-       Timestamp:  100452
+       Timestamp:  83129831
        Subpixel:   horizontal rgb
        Gamma:      1.0:1.0:1.0
        Brightness: 1.0
Comment 14 Stefan Assmann 2011-08-15 03:33:12 EDT
I've seen this on my new fusion netbook as well now.
That one got a 1002:9802 GPU. Only happened once so far.
Comment 15 Fedora End Of Life 2012-08-07 15:13:16 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.